/*-------------------------------------------------------------------
  All code is provided for EDUCATIONAL purposes ONLY. There is no
  warranty and no support.

  ds1775.h - ds1775r header file

  2019-02-03 written
-------------------------------------------------------------------*/

#ifndef _DS1775_H_
#define _DS1775_H_ 1

// note: Various models use different I2C addresses according to spec sheet.
// These values are for the part marked 7750.

#define DS1775_ADDRESS_W          0x90       // DS1775R addresses
#define DS1775_ADDRESS_R          0x91
#define DS1775_TEMP_REG              0
#define DS1775_CONFIG_REG            1
#define DS1775_THYST_REG             2
#define DS1775_TOS_REG               3

// Functions

int           ds1775_raw_to_tenths( int iRawTemp );
int           ds1775_tenths_to_raw( int iTemp10thsC );
unsigned char ds1775_read_temperature( volatile int *piTemperature );
unsigned char ds1775_write_config_register( unsigned char ucConfigReg );
unsigned char ds1775_write_temperature( int iTos, int iThyst );

#endif
