/*-------------------------------------------------------------------
  All code is provided for EDUCATIONAL purposes ONLY. There is no
  warranty and no support.

  saa1064.h - saa1064 header file

  2019-02-03 written
-------------------------------------------------------------------*/

#ifndef _SAA1064_H_
#define _SAA1064_H_ 1

#define SAA1064_ADDRESS_W          0x70
#define SAA1064_ADDRESS_R          0x71
#define SAA1064_CONTROL_PTR           0
#define SAA1064_DIGIT_1_PTR           1    // leftmost digit
#define SAA1064_DIGIT_2_PTR           2
#define SAA1064_DIGIT_3_PTR           3
#define SAA1064_DIGIT_4_PTR           4    // rightmost digit

#define DISPLAY_1                     0
#define DISPLAY_2                     1

#define TRANSLATED_MODE               1
#define UNTRANSLATED_MODE             0

#define DECIMAL_ON                   10

// Functions

unsigned char saa1064_write_control_register( unsigned char ucControlReg );

unsigned char saa1064_write_number( unsigned char ucWhichDigits, int iNumber );

unsigned char saa1064_write_digit( unsigned char ucWhichDigits,
                                   unsigned char ucTranslate,
                                   unsigned char ucDigit );

#endif
